commit 41c2785bfcd95cb9da5c6d42446b60687c1cbff1
Author: freddy77 <freddy77>
Date:   Sun Jan 27 10:41:21 2008 +0000

    backported fix for SQLCancel and bsqlodbc dependency

diff --git b/ChangeLog a/ChangeLog
index 6ea3faa..92f275a 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,9 +1,3 @@
-Sun Jan 27 11:40:32 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* configure.ac src/apps/Makefile.am:
-	- backported fix for bsqlodbc dependency
-	* include/tdsodbc.h src/odbc/odbc.c src/tds/token.c:
-	- backported fix for SQLCancel
-
 Wed Jan 23  9:48:19 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac include/tds_sysdep_public.h.in:
 	* src/ctlib/unittests/cancel.c src/dblib/unittests/timeout.c:
@@ -66,4 +60,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2454.2.13 2008/01/27 10:41:21 freddy77 Exp $
+$Id: ChangeLog,v 1.2454.2.12 2008/01/23 08:50:15 freddy77 Exp $
diff --git b/configure.ac a/configure.ac
index 318611d..b8eef11 100644
--- b/configure.ac
+++ a/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.29.2.6 2008/01/27 10:41:21 freddy77 Exp $
+dnl $Id: configure.ac,v 1.29.2.5 2008/01/23 08:50:16 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.82RC2)
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.29.2.6 $)
+AC_REVISION($Revision: 1.29.2.5 $)
 
 AM_INIT_AUTOMAKE
 AC_CONFIG_HEADERS(include/config.h)
@@ -476,7 +476,6 @@ if test "$with_odbc_nodm"; then
 	# Can't use ODBCLIB/LDFLAGS variables since they are used in building
 	#  other directories.
 	ODBCNODMLIB="-L.. -ltdsodbc"
-	ODBCNODMLIBAPP="-L../odbc -ltdsodbc"
 	odbc=true
 fi
 
@@ -597,7 +596,6 @@ AC_SUBST(ODBC_INC)
 AC_SUBST(ODBCLIB)
 AC_SUBST(ODBCINSTLIB)
 AC_SUBST(ODBCNODMLIB)
-AC_SUBST(ODBCNODMLIBAPP)
 
 AC_ARG_WITH(gnutls,
 AS_HELP_STRING([--with-gnutls], [build with TLS support]))
diff --git b/include/tdsodbc.h a/include/tdsodbc.h
index 733647b..59fdfc1 100644
--- b/include/tdsodbc.h
+++ a/include/tdsodbc.h
@@ -66,7 +66,7 @@ extern "C"
 #endif
 #endif
 
-/* $Id: tdsodbc.h,v 1.103.2.1 2008/01/27 10:41:22 freddy77 Exp $ */
+/* $Id: tdsodbc.h,v 1.103 2007/11/26 18:12:30 freddy77 Exp $ */
 
 #if defined(__GNUC__) && __GNUC__ >= 4
 #pragma GCC visibility push(hidden)
@@ -370,7 +370,6 @@ struct _hstmt
 	int special_row;
 	/* do NOT free cursor, free from socket or attach to connection */
 	TDSCURSOR *cursor;
-	unsigned char cancel_sent;
 };
 
 typedef struct _henv TDS_ENV;
diff --git b/src/apps/Makefile.am a/src/apps/Makefile.am
index 447d9b8..cfa03ac 100644
--- b/src/apps/Makefile.am
+++ a/src/apps/Makefile.am
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.25.2.1 2008/01/27 10:41:22 freddy77 Exp $
+# $Id: Makefile.am,v 1.25 2008/01/01 23:09:46 freddy77 Exp $
 
 AM_CPPFLAGS	= -I$(top_srcdir)/include 
 
@@ -28,8 +28,9 @@ bsqldb_LDADD	= ../dblib/libsybdb.la \
 		  $(NETWORK_LIBS)
 
 if ODBC
-bsqlodbc_LDADD	= $(ODBCLIB) $(ODBCNODMLIBAPP) \
-		  ../replacements/libreplacements.la $(NETWORK_LIBS)
+bsqlodbc_LDADD	= ../odbc/libtdsodbc.la \
+		  ../replacements/libreplacements.la \
+		  $(ODBCLIB) $(NETWORK_LIBS)
 bsqlodbc_CPPFLAGS	= $(ODBC_INC) $(AM_CPPFLAGS)
 endif
 
diff --git b/src/odbc/odbc.c a/src/odbc/odbc.c
index 1e3c3a8..c8dc89f 100644
--- b/src/odbc/odbc.c
+++ a/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.4 2008/01/27 10:41:23 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.3 2008/01/13 20:39:27 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -562,7 +562,6 @@ odbc_lock_statement(TDS_STMT* stmt)
 		tds->query_timeout = (stmt->attr.query_timeout != DEFAULT_QUERY_TIMEOUT) ?
 			stmt->attr.query_timeout : stmt->dbc->default_query_timeout;
 	stmt->dbc->current_statement = stmt;
-	stmt->cancel_sent = 0;
 	return 1;
 }
 
@@ -1583,7 +1582,6 @@ SQLCancel(SQLHSTMT hstmt)
 
 	/* FIXME test current statement */
 
-	stmt->cancel_sent = 1;
 	if (tds_send_cancel(tds) == TDS_FAIL) {
 		ODBC_SAFE_ERROR(stmt);
 		ODBC_RETURN(stmt, SQL_ERROR);
@@ -1594,9 +1592,7 @@ SQLCancel(SQLHSTMT hstmt)
 		ODBC_RETURN(stmt, SQL_ERROR);
 	}
 
-	/* only if we processed cancel reset statement */
-	if (stmt->dbc->current_statement && stmt->dbc->current_statement == stmt && tds->state == TDS_IDLE)
-		stmt->dbc->current_statement = NULL;
+	stmt->dbc->current_statement = NULL;
 
 	ODBC_RETURN_(stmt);
 }
@@ -2029,12 +2025,6 @@ odbc_errmsg_handler(const TDSCONTEXT * ctx, TDSSOCKET * tds, TDSMESSAGE * msg)
 		tdsdump_log(TDS_DBG_INFO1, "in timeout\n");
 		if (tds && (dbc = (TDS_DBC *) tds->parent) && dbc->current_statement) {
 			TDS_STMT *stmt = dbc->current_statement;
-			/* cancel sent, handling interrupt */
-			if (tds->in_cancel && stmt->cancel_sent) {
-				stmt->cancel_sent = 0;
-				tdsdump_log(TDS_DBG_INFO1, "returning from timeout\n");
-				return TDS_INT_TIMEOUT;
-			}
 			if (!tds->in_cancel)
 				odbc_errs_add(&stmt->errs, "HYT00", "Timeout expired");
 			stmt->errs.lastrc = SQL_ERROR;
diff --git b/src/tds/token.c a/src/tds/token.c
index 7b4a707..0c80a00 100644
--- b/src/tds/token.c
+++ a/src/tds/token.c
@@ -42,7 +42,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.343.2.1 2008/01/27 10:41:23 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.343 2007/12/28 23:00:18 jklowden Exp $");
 
 static int tds_process_msg(TDSSOCKET * tds, int marker);
 static int tds_process_compute_result(TDSSOCKET * tds);
@@ -2238,7 +2238,7 @@ tds_process_end(TDSSOCKET * tds, int marker, int *flags_parm)
 	if (IS_TDSDEAD(tds))
 		return TDS_FAIL;
 
-	return was_cancelled ? TDS_CANCELLED : TDS_SUCCEED;
+	return TDS_SUCCEED;
 }
 
 /**

